# Namespace: module_nicho

## module_nicho

Éste módulo es el encargado de la gestión de los componentes de nicho ecológico.

Source:
  - pede_nicho.js, line 2

### Methods

#### (private, static) ._genLinkURL()

Obtiene los valores de la URL necesarios para la regeneración de resultados.

Source:
  - pede_nicho.js, line 425

#### (private, static) ._initializeComponents()

Enlaza la funcionalidad de los componentes visuales de las secciones de nicho ecológico.

Source:
  - pede_nicho.js, line 31

#### (private, static) ._procesaValoresEnlace(sp_data, subgroups, chkVal, chkPrb, chkApr, chkFec, chkOcc, rango_fechas)

Asigna los valores obtenidos de la URL y configura los componentes visuales para regenerar los resultados.

##### Parameters:

Name | Type | Description
--- | --- | ---
`sp_data` | json | JSON con la información de la especie objetivo
`subgroups` | josn | JSON con el grupo de variables seleccionado
`chkVal` | boleano | Bandera si esta activado el proceso de validación
`chkPrb` | boleano | Bandera si esta activado el mapa de probabilidad
`chkApr` | boleano | Bandera si esta activado el cálculo con a priori
`chkFec` | boleano | Bandera si esta activado el cálculo con registros sin fecha
`chkOcc` | integer | Número mínimo de ocurrencias en nj para ser considerado en los cálculos
`rango_fechas` | array | Rango de fecha para realizar los cálculos

Source:
  - pede_nicho.js, line 509

#### (static) .loadModules()

Método llamado después de que el módulo de internacionalización es configurado correctamente. Se inicializa el controlador y los módulos de mapa, tabla, histograma, región y variable.

Source:
  - pede_nicho.js, line 788

#### (static) .setUrlApi(url_api)

Método setter para la variable que almacena la URL del servidor.

##### Parameters:

Name | Type | Description
--- | --- | ---
`url_api` | string | URL del servidor

Source:
  - pede_nicho.js, line 841

#### (static) .setUrlFront(url_front)

Método setter para la variable que almacena la URL del cliente.

##### Parameters:

Name | Type | Description
--- | --- | ---
`url_front` | string | URL del cliente

Source:
  - pede_nicho.js, line 854

#### (static) .setUrlNicho(url_nicho)

Método setter para la variable que almacena la URL de nicho ecológico.

##### Parameters:

Name | Type | Description
--- | --- | ---
`url_nicho` | string | URL del cliente en nicho ecológico

Source:
  - pede_nicho.js, line 867

#### (static) .startModule(tipo_modulo, verbose)

Inicializa las variables globales del modulo nicho e inicializa el modulo de internacionalización.

##### Parameters:

Name | Type | Description
--- | --- | ---
`tipo_modulo` | string | Identificador del módulo 0 para nicho y 1 para comunidad
`verbose` | string | Bandera para desplegar modo verbose

Source:
  - pede_nicho.js, line 764